BuildPreReq: jpackage-1.4-compat
Name: jakarta-regexp
Version: 1.4
Release: alt4

Summary: Simple regular expressions API
Group: Development/Java
License: Apache Software License
URL: http://jakarta.apache.org/regexp/

%def_enable build_javadoc

Source: %name-%version.tar.bz2
#Patch0: %name-1.3-build.patch

BuildArch: noarch

Provides: regexp = %version-%release

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: ant

%description
Regexp is a 100%% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan Locke.
He originally wrote this software back in 1996 and it has stood up quite
well to the test of time.
It includes complete Javadoc documentation as well as a simple Applet
for visual debugging and testing suite for compatibility.

%package javadoc
Summary: Javadoc for Jakarta Regexp
Group: Development/Java

%description javadoc
Javadoc for the Jakarta Regexp package.

%prep
%setup -q
#patch0 -p1 -b .orig-build
# remove all distributed libs
find . -name '*.jar' -print0 | xargs -r0 rm -f

%build
ant -Dbuild.compiler=modern jar
%if_enabled build_javadoc
ant javadocs
%endif

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%_javadir
install -m 644 build/%name-%version.jar $RPM_BUILD_ROOT%_javadir/%name.jar
ln -s %name.jar $RPM_BUILD_ROOT%_javadir/regexp.jar
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%_javadocdir/%name
cp -a docs/api/* $RPM_BUILD_ROOT%_javadocdir/%name
ln -s %name $RPM_BUILD_ROOT%_javadocdir/regexp

%files
%doc LICENSE docs/*.html docs/*.txt
%_javadir/*

%files javadoc
%doc %_javadocdir/%name
%doc %_javadocdir/regexp

%changelog
* Mon May 07 2007 Igor Vlasenko <viy@altlinux.ru> 1.4-alt4
- added symlinks

* Mon Apr 30 2007 Igor Vlasenko <viy@altlinux.ru> 1.4-alt3
- fixed build w/java-1.4

* Wed Apr 18 2007 Igor Vlasenko <viy@altlinux.ru> 1.4-alt2
- added JPackage compatible links 

* Wed Aug 17 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4-alt1
- New upstream release
- Use rpm-build-java macros

* Thu Sep 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- New version
- Remove crack from build.xml [Patch0]

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.2-alt1
- Adopted from JPackage
